/*
 * Copyright (C) 2016 - Niklas Baudy, Ruben Gees, Mario Đanić and contributors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */

package com.vanniktech.emoji.googlecompat.category;

import com.vanniktech.emoji.googlecompat.GoogleCompatEmoji;

final class SymbolsCategoryChunk0 {
  @SuppressWarnings("PMD.ExcessiveMethodLength") static GoogleCompatEmoji[] get() {
    return new GoogleCompatEmoji[] {
      new GoogleCompatEmoji(0x1F3E7, new String[]{"atm"}, false),
      new GoogleCompatEmoji(0x1F6AE, new String[]{"put_litter_in_its_place"}, false),
      new GoogleCompatEmoji(0x1F6B0, new String[]{"potable_water"}, false),
      new GoogleCompatEmoji(0x267F, new String[]{"wheelchair"}, false),
      new GoogleCompatEmoji(0x1F6B9, new String[]{"mens"}, false),
      new GoogleCompatEmoji(0x1F6BA, new String[]{"womens"}, false),
      new GoogleCompatEmoji(0x1F6BB, new String[]{"restroom"}, false),
      new GoogleCompatEmoji(0x1F6BC, new String[]{"baby_symbol"}, false),
      new GoogleCompatEmoji(0x1F6BE, new String[]{"wc"}, false),
      new GoogleCompatEmoji(0x1F6C2, new String[]{"passport_control"}, false),
      new GoogleCompatEmoji(0x1F6C3, new String[]{"customs"}, false),
      new GoogleCompatEmoji(0x1F6C4, new String[]{"baggage_claim"}, false),
      new GoogleCompatEmoji(0x1F6C5, new String[]{"left_luggage"}, false),
      new GoogleCompatEmoji(new int[] { 0x26A0, 0xFE0F }, new String[]{"warning"}, false),
      new GoogleCompatEmoji(0x1F6B8, new String[]{"children_crossing"}, false),
      new GoogleCompatEmoji(0x26D4, new String[]{"no_entry"}, false),
      new GoogleCompatEmoji(0x1F6AB, new String[]{"no_entry_sign"}, false),
      new GoogleCompatEmoji(0x1F6B3, new String[]{"no_bicycles"}, false),
      new GoogleCompatEmoji(0x1F6AD, new String[]{"no_smoking"}, false),
      new GoogleCompatEmoji(0x1F6AF, new String[]{"do_not_litter"}, false),
      new GoogleCompatEmoji(0x1F6B1, new String[]{"non-potable_water"}, false),
      new GoogleCompatEmoji(0x1F6B7, new String[]{"no_pedestrians"}, false),
      new GoogleCompatEmoji(0x1F4F5, new String[]{"no_mobile_phones"}, false),
      new GoogleCompatEmoji(0x1F51E, new String[]{"underage"}, false),
      new GoogleCompatEmoji(new int[] { 0x2622, 0xFE0F }, new String[]{"radioactive_sign"}, false),
      new GoogleCompatEmoji(new int[] { 0x2623, 0xFE0F }, new String[]{"biohazard_sign"}, false),
      new GoogleCompatEmoji(new int[] { 0x2B06, 0xFE0F }, new String[]{"arrow_up"}, false),
      new GoogleCompatEmoji(new int[] { 0x2197, 0xFE0F }, new String[]{"arrow_upper_right"}, false),
      new GoogleCompatEmoji(new int[] { 0x27A1, 0xFE0F }, new String[]{"arrow_right"}, false),
      new GoogleCompatEmoji(new int[] { 0x2198, 0xFE0F }, new String[]{"arrow_lower_right"}, false),
      new GoogleCompatEmoji(new int[] { 0x2B07, 0xFE0F }, new String[]{"arrow_down"}, false),
      new GoogleCompatEmoji(new int[] { 0x2199, 0xFE0F }, new String[]{"arrow_lower_left"}, false),
      new GoogleCompatEmoji(new int[] { 0x2B05, 0xFE0F }, new String[]{"arrow_left"}, false),
      new GoogleCompatEmoji(new int[] { 0x2196, 0xFE0F }, new String[]{"arrow_upper_left"}, false),
      new GoogleCompatEmoji(new int[] { 0x2195, 0xFE0F }, new String[]{"arrow_up_down"}, false),
      new GoogleCompatEmoji(new int[] { 0x2194, 0xFE0F }, new String[]{"left_right_arrow"}, false),
      new GoogleCompatEmoji(new int[] { 0x21A9, 0xFE0F }, new String[]{"leftwards_arrow_with_hook"}, false),
      new GoogleCompatEmoji(new int[] { 0x21AA, 0xFE0F }, new String[]{"arrow_right_hook"}, false),
      new GoogleCompatEmoji(new int[] { 0x2934, 0xFE0F }, new String[]{"arrow_heading_up"}, false),
      new GoogleCompatEmoji(new int[] { 0x2935, 0xFE0F }, new String[]{"arrow_heading_down"}, false),
      new GoogleCompatEmoji(0x1F503, new String[]{"arrows_clockwise"}, false),
      new GoogleCompatEmoji(0x1F504, new String[]{"arrows_counterclockwise"}, false),
      new GoogleCompatEmoji(0x1F519, new String[]{"back"}, false),
      new GoogleCompatEmoji(0x1F51A, new String[]{"end"}, false),
      new GoogleCompatEmoji(0x1F51B, new String[]{"on"}, false),
      new GoogleCompatEmoji(0x1F51C, new String[]{"soon"}, false),
      new GoogleCompatEmoji(0x1F51D, new String[]{"top"}, false),
      new GoogleCompatEmoji(0x1F6D0, new String[]{"place_of_worship"}, false),
      new GoogleCompatEmoji(new int[] { 0x269B, 0xFE0F }, new String[]{"atom_symbol"}, false),
      new GoogleCompatEmoji(new int[] { 0x1F549, 0xFE0F }, new String[]{"om_symbol"}, false),
      new GoogleCompatEmoji(new int[] { 0x2721, 0xFE0F }, new String[]{"star_of_david"}, false),
      new GoogleCompatEmoji(new int[] { 0x2638, 0xFE0F }, new String[]{"wheel_of_dharma"}, false),
      new GoogleCompatEmoji(new int[] { 0x262F, 0xFE0F }, new String[]{"yin_yang"}, false),
      new GoogleCompatEmoji(new int[] { 0x271D, 0xFE0F }, new String[]{"latin_cross"}, false),
      new GoogleCompatEmoji(new int[] { 0x2626, 0xFE0F }, new String[]{"orthodox_cross"}, false),
      new GoogleCompatEmoji(new int[] { 0x262A, 0xFE0F }, new String[]{"star_and_crescent"}, false),
      new GoogleCompatEmoji(new int[] { 0x262E, 0xFE0F }, new String[]{"peace_symbol"}, false),
      new GoogleCompatEmoji(0x1F54E, new String[]{"menorah_with_nine_branches"}, false),
      new GoogleCompatEmoji(0x1F52F, new String[]{"six_pointed_star"}, false),
      new GoogleCompatEmoji(0x2648, new String[]{"aries"}, false),
      new GoogleCompatEmoji(0x2649, new String[]{"taurus"}, false),
      new GoogleCompatEmoji(0x264A, new String[]{"gemini"}, false),
      new GoogleCompatEmoji(0x264B, new String[]{"cancer"}, false),
      new GoogleCompatEmoji(0x264C, new String[]{"leo"}, false),
      new GoogleCompatEmoji(0x264D, new String[]{"virgo"}, false),
      new GoogleCompatEmoji(0x264E, new String[]{"libra"}, false),
      new GoogleCompatEmoji(0x264F, new String[]{"scorpius"}, false),
      new GoogleCompatEmoji(0x2650, new String[]{"sagittarius"}, false),
      new GoogleCompatEmoji(0x2651, new String[]{"capricorn"}, false),
      new GoogleCompatEmoji(0x2652, new String[]{"aquarius"}, false),
      new GoogleCompatEmoji(0x2653, new String[]{"pisces"}, false),
      new GoogleCompatEmoji(0x26CE, new String[]{"ophiuchus"}, false),
      new GoogleCompatEmoji(0x1F500, new String[]{"twisted_rightwards_arrows"}, false),
      new GoogleCompatEmoji(0x1F501, new String[]{"repeat"}, false),
      new GoogleCompatEmoji(0x1F502, new String[]{"repeat_one"}, false),
      new GoogleCompatEmoji(new int[] { 0x25B6, 0xFE0F }, new String[]{"arrow_forward"}, false),
      new GoogleCompatEmoji(0x23E9, new String[]{"fast_forward"}, false),
      new GoogleCompatEmoji(new int[] { 0x23ED, 0xFE0F }, new String[]{"black_right_pointing_double_triangle_with_vertical_bar"}, false),
      new GoogleCompatEmoji(new int[] { 0x23EF, 0xFE0F }, new String[]{"black_right_pointing_triangle_with_double_vertical_bar"}, false),
      new GoogleCompatEmoji(new int[] { 0x25C0, 0xFE0F }, new String[]{"arrow_backward"}, false),
      new GoogleCompatEmoji(0x23EA, new String[]{"rewind"}, false),
      new GoogleCompatEmoji(new int[] { 0x23EE, 0xFE0F }, new String[]{"black_left_pointing_double_triangle_with_vertical_bar"}, false),
      new GoogleCompatEmoji(0x1F53C, new String[]{"arrow_up_small"}, false),
      new GoogleCompatEmoji(0x23EB, new String[]{"arrow_double_up"}, false),
      new GoogleCompatEmoji(0x1F53D, new String[]{"arrow_down_small"}, false),
      new GoogleCompatEmoji(0x23EC, new String[]{"arrow_double_down"}, false),
      new GoogleCompatEmoji(new int[] { 0x23F8, 0xFE0F }, new String[]{"double_vertical_bar"}, false),
      new GoogleCompatEmoji(new int[] { 0x23F9, 0xFE0F }, new String[]{"black_square_for_stop"}, false),
      new GoogleCompatEmoji(new int[] { 0x23FA, 0xFE0F }, new String[]{"black_circle_for_record"}, false),
      new GoogleCompatEmoji(new int[] { 0x23CF, 0xFE0F }, new String[]{"eject"}, false),
      new GoogleCompatEmoji(0x1F3A6, new String[]{"cinema"}, false),
      new GoogleCompatEmoji(0x1F505, new String[]{"low_brightness"}, false),
      new GoogleCompatEmoji(0x1F506, new String[]{"high_brightness"}, false),
      new GoogleCompatEmoji(0x1F4F6, new String[]{"signal_strength"}, false),
      new GoogleCompatEmoji(0x1F4F3, new String[]{"vibration_mode"}, false),
      new GoogleCompatEmoji(0x1F4F4, new String[]{"mobile_phone_off"}, false),
      new GoogleCompatEmoji(new int[] { 0x2640, 0xFE0F }, new String[]{"female_sign"}, false),
      new GoogleCompatEmoji(new int[] { 0x2642, 0xFE0F }, new String[]{"male_sign"}, false),
      new GoogleCompatEmoji(new int[] { 0x2695, 0xFE0F }, new String[]{"medical_symbol", "staff_of_aesculapius"}, false),
      new GoogleCompatEmoji(new int[] { 0x267E, 0xFE0F }, new String[]{"infinity"}, false),
      new GoogleCompatEmoji(new int[] { 0x267B, 0xFE0F }, new String[]{"recycle"}, false),
      new GoogleCompatEmoji(new int[] { 0x269C, 0xFE0F }, new String[]{"fleur_de_lis"}, false),
      new GoogleCompatEmoji(0x1F531, new String[]{"trident"}, false),
      new GoogleCompatEmoji(0x1F4DB, new String[]{"name_badge"}, false),
      new GoogleCompatEmoji(0x1F530, new String[]{"beginner"}, false),
      new GoogleCompatEmoji(0x2B55, new String[]{"o"}, false),
      new GoogleCompatEmoji(0x2705, new String[]{"white_check_mark"}, false),
      new GoogleCompatEmoji(new int[] { 0x2611, 0xFE0F }, new String[]{"ballot_box_with_check"}, false),
      new GoogleCompatEmoji(new int[] { 0x2714, 0xFE0F }, new String[]{"heavy_check_mark"}, false),
      new GoogleCompatEmoji(new int[] { 0x2716, 0xFE0F }, new String[]{"heavy_multiplication_x"}, false),
      new GoogleCompatEmoji(0x274C, new String[]{"x"}, false),
      new GoogleCompatEmoji(0x274E, new String[]{"negative_squared_cross_mark"}, false),
      new GoogleCompatEmoji(0x2795, new String[]{"heavy_plus_sign"}, false),
      new GoogleCompatEmoji(0x2796, new String[]{"heavy_minus_sign"}, false),
      new GoogleCompatEmoji(0x2797, new String[]{"heavy_division_sign"}, false),
      new GoogleCompatEmoji(0x27B0, new String[]{"curly_loop"}, false),
      new GoogleCompatEmoji(0x27BF, new String[]{"loop"}, false),
      new GoogleCompatEmoji(new int[] { 0x303D, 0xFE0F }, new String[]{"part_alternation_mark"}, false),
      new GoogleCompatEmoji(new int[] { 0x2733, 0xFE0F }, new String[]{"eight_spoked_asterisk"}, false),
      new GoogleCompatEmoji(new int[] { 0x2734, 0xFE0F }, new String[]{"eight_pointed_black_star"}, false),
      new GoogleCompatEmoji(new int[] { 0x2747, 0xFE0F }, new String[]{"sparkle"}, false),
      new GoogleCompatEmoji(new int[] { 0x203C, 0xFE0F }, new String[]{"bangbang"}, false),
      new GoogleCompatEmoji(new int[] { 0x2049, 0xFE0F }, new String[]{"interrobang"}, false),
      new GoogleCompatEmoji(0x2753, new String[]{"question"}, false),
      new GoogleCompatEmoji(0x2754, new String[]{"grey_question"}, false),
      new GoogleCompatEmoji(0x2755, new String[]{"grey_exclamation"}, false),
      new GoogleCompatEmoji(0x2757, new String[]{"exclamation", "heavy_exclamation_mark"}, false),
      new GoogleCompatEmoji(new int[] { 0x3030, 0xFE0F }, new String[]{"wavy_dash"}, false),
      new GoogleCompatEmoji(new int[] { 0x00A9, 0xFE0F }, new String[]{"copyright"}, false),
      new GoogleCompatEmoji(new int[] { 0x00AE, 0xFE0F }, new String[]{"registered"}, false),
      new GoogleCompatEmoji(new int[] { 0x2122, 0xFE0F }, new String[]{"tm"}, false),
      new GoogleCompatEmoji(new int[] { 0x0023, 0xFE0F, 0x20E3 }, new String[]{"hash"}, false),
      new GoogleCompatEmoji(new int[] { 0x002A, 0xFE0F, 0x20E3 }, new String[]{"keycap_star"}, false),
      new GoogleCompatEmoji(new int[] { 0x0030, 0xFE0F, 0x20E3 }, new String[]{"zero"}, false),
      new GoogleCompatEmoji(new int[] { 0x0031, 0xFE0F, 0x20E3 }, new String[]{"one"}, false),
      new GoogleCompatEmoji(new int[] { 0x0032, 0xFE0F, 0x20E3 }, new String[]{"two"}, false),
      new GoogleCompatEmoji(new int[] { 0x0033, 0xFE0F, 0x20E3 }, new String[]{"three"}, false),
      new GoogleCompatEmoji(new int[] { 0x0034, 0xFE0F, 0x20E3 }, new String[]{"four"}, false),
      new GoogleCompatEmoji(new int[] { 0x0035, 0xFE0F, 0x20E3 }, new String[]{"five"}, false),
      new GoogleCompatEmoji(new int[] { 0x0036, 0xFE0F, 0x20E3 }, new String[]{"six"}, false),
      new GoogleCompatEmoji(new int[] { 0x0037, 0xFE0F, 0x20E3 }, new String[]{"seven"}, false),
      new GoogleCompatEmoji(new int[] { 0x0038, 0xFE0F, 0x20E3 }, new String[]{"eight"}, false),
      new GoogleCompatEmoji(new int[] { 0x0039, 0xFE0F, 0x20E3 }, new String[]{"nine"}, false),
      new GoogleCompatEmoji(0x1F51F, new String[]{"keycap_ten"}, false),
      new GoogleCompatEmoji(0x1F520, new String[]{"capital_abcd"}, false),
      new GoogleCompatEmoji(0x1F521, new String[]{"abcd"}, false),
      new GoogleCompatEmoji(0x1F522, new String[]{"1234"}, false),
      new GoogleCompatEmoji(0x1F523, new String[]{"symbols"}, false),
      new GoogleCompatEmoji(0x1F524, new String[]{"abc"}, false),
      new GoogleCompatEmoji(new int[] { 0x1F170, 0xFE0F }, new String[]{"a"}, false),
      new GoogleCompatEmoji(0x1F18E, new String[]{"ab"}, false),
      new GoogleCompatEmoji(new int[] { 0x1F171, 0xFE0F }, new String[]{"b"}, false),
      new GoogleCompatEmoji(0x1F191, new String[]{"cl"}, false),
      new GoogleCompatEmoji(0x1F192, new String[]{"cool"}, false),
      new GoogleCompatEmoji(0x1F193, new String[]{"free"}, false),
      new GoogleCompatEmoji(new int[] { 0x2139, 0xFE0F }, new String[]{"information_source"}, false),
      new GoogleCompatEmoji(0x1F194, new String[]{"id"}, false),
      new GoogleCompatEmoji(new int[] { 0x24C2, 0xFE0F }, new String[]{"m"}, false),
      new GoogleCompatEmoji(0x1F195, new String[]{"new"}, false),
      new GoogleCompatEmoji(0x1F196, new String[]{"ng"}, false),
      new GoogleCompatEmoji(new int[] { 0x1F17E, 0xFE0F }, new String[]{"o2"}, false),
      new GoogleCompatEmoji(0x1F197, new String[]{"ok"}, false),
      new GoogleCompatEmoji(new int[] { 0x1F17F, 0xFE0F }, new String[]{"parking"}, false),
      new GoogleCompatEmoji(0x1F198, new String[]{"sos"}, false),
      new GoogleCompatEmoji(0x1F199, new String[]{"up"}, false),
      new GoogleCompatEmoji(0x1F19A, new String[]{"vs"}, false),
      new GoogleCompatEmoji(0x1F201, new String[]{"koko"}, false),
      new GoogleCompatEmoji(new int[] { 0x1F202, 0xFE0F }, new String[]{"sa"}, false),
      new GoogleCompatEmoji(new int[] { 0x1F237, 0xFE0F }, new String[]{"u6708"}, false),
      new GoogleCompatEmoji(0x1F236, new String[]{"u6709"}, false),
      new GoogleCompatEmoji(0x1F22F, new String[]{"u6307"}, false),
      new GoogleCompatEmoji(0x1F250, new String[]{"ideograph_advantage"}, false),
      new GoogleCompatEmoji(0x1F239, new String[]{"u5272"}, false),
      new GoogleCompatEmoji(0x1F21A, new String[]{"u7121"}, false),
      new GoogleCompatEmoji(0x1F232, new String[]{"u7981"}, false),
      new GoogleCompatEmoji(0x1F251, new String[]{"accept"}, false),
      new GoogleCompatEmoji(0x1F238, new String[]{"u7533"}, false),
      new GoogleCompatEmoji(0x1F234, new String[]{"u5408"}, false),
      new GoogleCompatEmoji(0x1F233, new String[]{"u7a7a"}, false),
      new GoogleCompatEmoji(new int[] { 0x3297, 0xFE0F }, new String[]{"congratulations"}, false),
      new GoogleCompatEmoji(new int[] { 0x3299, 0xFE0F }, new String[]{"secret"}, false),
      new GoogleCompatEmoji(0x1F23A, new String[]{"u55b6"}, false),
      new GoogleCompatEmoji(0x1F235, new String[]{"u6e80"}, false),
      new GoogleCompatEmoji(0x1F534, new String[]{"red_circle"}, false),
      new GoogleCompatEmoji(0x1F7E0, new String[]{"large_orange_circle"}, false),
      new GoogleCompatEmoji(0x1F7E1, new String[]{"large_yellow_circle"}, false),
      new GoogleCompatEmoji(0x1F7E2, new String[]{"large_green_circle"}, false),
      new GoogleCompatEmoji(0x1F535, new String[]{"large_blue_circle"}, false),
      new GoogleCompatEmoji(0x1F7E3, new String[]{"large_purple_circle"}, false),
      new GoogleCompatEmoji(0x1F7E4, new String[]{"large_brown_circle"}, false),
      new GoogleCompatEmoji(0x26AB, new String[]{"black_circle"}, false),
      new GoogleCompatEmoji(0x26AA, new String[]{"white_circle"}, false),
      new GoogleCompatEmoji(0x1F7E5, new String[]{"large_red_square"}, false),
      new GoogleCompatEmoji(0x1F7E7, new String[]{"large_orange_square"}, false),
      new GoogleCompatEmoji(0x1F7E8, new String[]{"large_yellow_square"}, false),
      new GoogleCompatEmoji(0x1F7E9, new String[]{"large_green_square"}, false),
      new GoogleCompatEmoji(0x1F7E6, new String[]{"large_blue_square"}, false),
      new GoogleCompatEmoji(0x1F7EA, new String[]{"large_purple_square"}, false),
      new GoogleCompatEmoji(0x1F7EB, new String[]{"large_brown_square"}, false),
      new GoogleCompatEmoji(0x2B1B, new String[]{"black_large_square"}, false),
      new GoogleCompatEmoji(0x2B1C, new String[]{"white_large_square"}, false),
      new GoogleCompatEmoji(new int[] { 0x25FC, 0xFE0F }, new String[]{"black_medium_square"}, false),
      new GoogleCompatEmoji(new int[] { 0x25FB, 0xFE0F }, new String[]{"white_medium_square"}, false),
      new GoogleCompatEmoji(0x25FE, new String[]{"black_medium_small_square"}, false),
      new GoogleCompatEmoji(0x25FD, new String[]{"white_medium_small_square"}, false),
      new GoogleCompatEmoji(new int[] { 0x25AA, 0xFE0F }, new String[]{"black_small_square"}, false),
      new GoogleCompatEmoji(new int[] { 0x25AB, 0xFE0F }, new String[]{"white_small_square"}, false),
      new GoogleCompatEmoji(0x1F536, new String[]{"large_orange_diamond"}, false),
      new GoogleCompatEmoji(0x1F537, new String[]{"large_blue_diamond"}, false),
      new GoogleCompatEmoji(0x1F538, new String[]{"small_orange_diamond"}, false),
      new GoogleCompatEmoji(0x1F539, new String[]{"small_blue_diamond"}, false),
      new GoogleCompatEmoji(0x1F53A, new String[]{"small_red_triangle"}, false),
      new GoogleCompatEmoji(0x1F53B, new String[]{"small_red_triangle_down"}, false),
      new GoogleCompatEmoji(0x1F4A0, new String[]{"diamond_shape_with_a_dot_inside"}, false),
      new GoogleCompatEmoji(0x1F518, new String[]{"radio_button"}, false),
      new GoogleCompatEmoji(0x1F533, new String[]{"white_square_button"}, false),
      new GoogleCompatEmoji(0x1F532, new String[]{"black_square_button"}, false)
    };
  }

  private SymbolsCategoryChunk0() {
    // No instances.
  }
}
